
package com.rjconsultores.ventaboletos.dao.hibernate;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.EmpresaConfigLayoutDAO;
import com.rjconsultores.ventaboletos.entidad.EmpresaConfigLayout;

@Repository("empresaConfigLayoutDAO")
public class EmpresaConfigLayoutHibernateDAO extends GenericHibernateDAO<EmpresaConfigLayout, Integer>
		implements EmpresaConfigLayoutDAO {

	@Autowired
	public EmpresaConfigLayoutHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
		setSessionFactory(factory);
	}

	@Override
	public List<EmpresaConfigLayout> obtenerTodos() {
		Criteria c = getSession().createCriteria(getPersistentClass());
		c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));

		return c.list();
	}

	public List<EmpresaConfigLayout> buscarByEmpresa(Integer empresaId) {
		Criteria c = getSession().createCriteria(getPersistentClass());
		c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));
		c.add(Restrictions.eq("empresa.empresaId", empresaId));

		return c.list();
	}
}
